org.codehaus.plexus.component.discovery

## Class DefaultComponentDiscoverer

- java.lang.Object
- - org.codehaus.plexus.component.discovery.AbstractComponentDiscoverer
  - - org.codehaus.plexus.component.discovery.DefaultComponentDiscoverer

All Implemented Interfaces:
  ComponentDiscoverer

    public class DefaultComponentDiscoverer
    extends AbstractComponentDiscoverer

Version:
  $Id: DefaultComponentDiscoverer.java 1781 2005-05-05 19:06:04Z jdcasey $
Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.discovery.ComponentDiscoverer

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultComponentDiscoverer()`

### Method Summary

Methods
`ComponentSetDescriptor` `createComponentDescriptors(Reader componentDescriptorReader, String source)`
`String` `getComponentDescriptorLocation()`

### Methods inherited from class org.codehaus.plexus.component.discovery.AbstractComponentDiscoverer

`findComponents, setManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultComponentDiscoverer

    public DefaultComponentDiscoverer()

### Method Detail

#### getComponentDescriptorLocation

    public String getComponentDescriptorLocation()

Specified by:
  `getComponentDescriptorLocation` in class `AbstractComponentDiscoverer`

#### createComponentDescriptors

    public ComponentSetDescriptor createComponentDescriptors(Reader componentDescriptorReader,
                                                    String source)
                                                      throws PlexusConfigurationException

Specified by:
  `createComponentDescriptors` in class `AbstractComponentDiscoverer`
Throws:
  `PlexusConfigurationException`